Google Scholar API
Google Scholar에서 학술 및 논문 결과를 실시간으로 가져옵니다. engine=google_scholar를 설정하고 q에 주제 또는 논문 제목을 전달하면 저자, 인용 수, PDF 링크가 포함된 구조화된 논문 목록을 얻을 수 있습니다.
엔드포인트
섹션 제목: “엔드포인트” GET https://serp.shifter.io/v1?engine=google_scholar&api_key=YOUR_API_KEY
매개변수
섹션 제목: “매개변수”| 매개변수 | 유형 | 필수 | 설명 |
|---|---|---|---|
api_key | string | 예 | SERP API 키 |
engine | string | 예 | google_scholar여야 함 |
q | string | 예 | 검색어 |
lr | string | 아니요 | 언어 제한, 형식은 lang_xx |
hl | string | 아니요 | 인터페이스 언어 코드 |
start | int | 아니요 | 페이지네이션을 위한 결과 오프셋 |
num | int | 아니요 | 페이지당 결과 수 |
as_vis | int | 아니요 | 인용을 제외하려면 1, 포함하려면 0 |
safe | string | 아니요 | active 또는 off |
cites | string | 아니요 | Cited By 검색을 트리거하는 논문 고유 ID |
as_ylo | int | 아니요 | 포함할 최초 연도 |
as_yhi | int | 아니요 | 포함할 최종 연도 |
scisbd | int | 아니요 | 초록만 보려면 1, 전체 결과는 0 |
요청 예시
섹션 제목: “요청 예시”curl "https://serp.shifter.io/v1?engine=google_scholar&api_key=YOUR_API_KEY&q=python"import requests
params = { "engine": "google_scholar", "api_key": "YOUR_API_KEY", "q": "python",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar', api_key: 'YOUR_API_KEY', q: 'python',});const data = await (await fetch(url)).json();응답 예시
섹션 제목: “응답 예시”{ "search_parameters": { "engine": "google_scholar", "q": "python" }, "organic_results": [ { "position": 1, "title": "Python for data analysis", "result_id": "FDc6HiktlqEJ", "link": "https://example.com/paper.pdf", "snippet": "This book is concerned with the nuts and bolts of manipulating...", "publication_info": { "summary": "W McKinney - 2012 - oreilly.com" }, "inline_links": { "cited_by": { "total": 12000, "cites_id": "11234567" } } } ]}